TOOLinux

Le journal du Libre

PostgreSQL : correctifs pour les versions 9.1 et 9.2

mercredi 26 septembre 2012

Les utilisateurs de ces versions doivent appliquer ces mises à jour dès que possible. Les utilisateurs des versions 8.3, 8.4 et 9.0 peuvent planifier la mise à jour lors de la prochaine interruption de service programmée.

Pour les versions 9.1 et 9.2, deux risques de corruptions de données ont été détectés. Suite à un arrêt brutal du serveur (crash), un arrêt avec l’option "immediate" ou une bascule vers un serveur en standby, certains index (BTREE et GIN) et la carte de visibilité (’’visibility map’’) peuvent être endommagés.

Cette mise à jour résout ces deux problèmes.

Damien Clochard, Directeur des Opérations de DALIBO , société française spécialiste de PostgreSQL, précise que : « Pour les utilisateurs de PostgreSQL 9.1 et 9.2, le risque est sérieux mais le correctif est très simple à appliquer. Nous conseillons de faire cette mise à jour le plus tôt possible, puis de lancer un ’’VACUUM’’ et une réindexation progressive. L’ensemble ne prend que quelques minutes. »

- Voir l’annonce sur le site dalibo.org pour plus de détails.